<?php
// vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker:
/**
 * Objeto asociado a una tabla de la base de datos.
 * Parcialmente generado por DB_DataObject.
 *
 * PHP version 5
 *
 * @category  SIVeL
 * @package   SIVeL
 * @author    Vladimir Támara <vtamara@pasosdeJesus.org>
 * @copyright 2004 Dominio público. Sin garantías.
 * @license   http://creativecommons.org/licenses/publicdomain/ Dominio Público. Sin garantías.
 * @version   $Id: Region_caso.php,v 1.24 2009/05/03 05:16:37 vtamara Exp $
 * @link      http://sivel.sf.net
 */

/**
 * Definicion para la tabla region_caso.
 */
require_once 'DB/DataObject.php';

/**
 * Definicion para la tabla region_caso.
 * Ver documentación de DataObjects_Caso.
 *
 * @category SIVeL
 * @package  SIVeL
 * @author   Vladimir Támara <vtamara@pasosdeJesus.org>
 * @license  http://creativecommons.org/licenses/publicdomain/ Dominio Público.
 * @link     http://sivel.sf.net/tec
 * @see      DataObjects_Caso
 */
class DataObjects_Region_caso extends DB_DataObject 
{
    // START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'region_caso';                     // table name
    var $id_region;                       // int4(4)  multiple_key
    var $id_caso;                         // int4(4)  multiple_key

    /**
     * ZE2 compatibility trick
     *
     * @return copia del objeto
     */
    function __clone() 
    {
        return $this;
    }

    /**
     * Static get
     *
     * @param mixed $k Llave
     * @param mixed $v Valor
     *
     * @return Registro cuya llave sea el valor.
     */
    function staticGet($k, $v = null) 
    {
        return DB_DataObject::staticGet('DataObjects_Region_caso', $k, $v);
    }

    /* the code above is auto generated do not remove the tag below */
    // END_AUTOCODE
    var $fb_preDefOrder = array('id_region');
    var $fb_fieldsToRender = array('id_region');
    var $fb_addFormHeader = false;
    var $fb_excludeFromAutoRules = array('id_region');
    var $fb_fieldLabels= array(
        'id_region' => 'Region',
        'id_frontera' => 'Frontera'  );

    /**
     * Prepara antes de generar formulario.
     *
     * @param object &$formbuild Generador DataObject_FormBuilder
     *
     * @return void
     */
    function preGenerateForm(&$formbuild)
    {
        $this->fb_preDefElements = array('id_caso' => 
            HTML_QuickForm::createElement('hidden', 'id_caso'));
    }

    /**
     * Ajusta formulario generado.
     *
     * @param object &$form      Formulario HTML_QuickForm
     * @param object &$formbuild Generador DataObject_FormBuilder
     *
     * @return void
     */
    function postGenerateForm(&$form, &$formbuild)
    {
        $sel =& $form->getElement('id_region');
        if (isset($sel) && !PEAR::isError($sel) && 
            $sel->getType() == 'select') {
            $sel->setSize('5');
            $sel->setMultiple(true);     
            if (isset($GLOBALS['etiqueta']['region'])) {
                $sel->setLabel($GLOBALS['etiqueta']['region']);
            }
        }
        $sel =& $form->getElement('id_frontera');
        if (isset($sel) && !PEAR::isError($sel) &&
            isset($GLOBALS['etiqueta']['frontera'])) {
            $e->setLabel($GLOBALS['etiqueta']['region']);
        }
    }
}

?>
